Name: jquery
Version: 1.7.2
Release: 2%{?dist}
Summary: Fast, concise library that simplifies how you use JavaScript
Group: Development/Libraries
License: MIT and GPLv2+
URL: http://www.jquery.com/
# git clone git://github.com/jquery/jquery.git jquery-%%{version}
# cd jquery-%%{version}
# git checkout %%{version}
# git submodule init
# git submodule update
# find . -type f -print | grep -v '\.git' | grep -v '^\.$' | xargs tar rvf jquery-%%{version}.tar --transform=s/^\\./jquery-%%{version}/
# xz jquery-%%{version}.tar
Source0: jquery-%{version}.tar.xz
BuildArch: noarch

%description
jQuery is a fast, concise, JavaScript library that simplifies how you
traverse HTML documents, handle events, perform animations, and add
Ajax interactions to your web pages. jQuery is designed to change the
way that you write JavaScript.

%prep
%setup -q

# generate httpd config
cat > %{name}.conf <<EOF
Alias /js/%{name} %{_datadir}/%{name}
EOF

%build
# We do not build the minified version of jQuery as both rhino and v8
# fail to interpret the javascript files in the build directory.
# Build of the minified version should be revisited when nodejs is
# packaged into Fedora.
make jquery

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
install -p -m 0644 dist/%{name}.js %{buildroot}%{_datadir}/%{name}/

# add some symlinks for compatibility - later can be replaced by real minified version
ln -s %{_datadir}/%{name}/%{name}.js %{buildroot}%{_datadir}/%{name}/%{name}.min.js

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
install -p -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/

%files
%doc GPL-LICENSE.txt MIT-LICENSE.txt README.md
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Mon Sep 17 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 1.7.2-2
- small cleanups
- added jquery.min.js symlink

* Mon May 14 2012 Karel Klíč <kklic@redhat.com> - 1.7.2-1
- Initial packaging based on Toshio Kuratomi's spec file
